Skip to main content
  • Freezes the specified member’s grants in this event. eventID, channelID and memberAccount are required; grantID is optional.
  • With grantID: freezes only that grant (it must belong to both the eventID and the memberAccount).
  • Without grantID: freezes all of the member’s freezable (New/Active) grants in this event.

Path

Headers

FieldTypeRequiredDescription
AuthorizationstringYesToken we provide
Content-TypestringYesmultipart/form-data

Request parameters

FieldTypeRequiredSignedDescription
eventIDstringYes✓Event ID (24-character hex)
channelIDnumberYes✓Channel ID (use 1 if you have no channels)
memberAccountstringYes✓Member account (allowed characters: a-z A-Z 0-9 _-)
grantIDstringNo✓Grant ID (24-character hex)
signstringYesSignature. See Signature for how to generate it

Response

Success (the HTTP status code is always 200; check status.code for the result)
FieldTypeDescription
dataobject
data.frozenGrantsstring[]IDs of the frozen grants
statusobjectResponse status. See Response format

Response example

Response codes

Besides the common codes, this API may also return: